## org.eclipse.datatools.connectivity.oda.design.ui.wizards
Class DataSetEditorPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.ui.dialogs.PropertyPage
                  org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSetEditorPageCore
                      org.eclipse.datatools.connectivity.oda.design.ui.wizards.DataSetEditorPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.ui.IWorkbenchPropertyPage

    public class DataSetEditorPage

extends org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSetEditorPageCore

The base class of a customized ODA Data Set Editor Page provided by the ODA design UI framework, to allow an user to edit an extended ODA data set design instance.
It adapts from a data set wizard page contributed by an ODA design ui extension, to a PropertyPage for use in an ODA host designer's preference dialog.

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`DataSetEditorPage(DataSetWizardPage page)`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSetEditorPageCore
`collectPageResponse, dispose, getIconDescriptor, getIconFilePath, getMessage, getMessageType, getPageId, getPagePath, getTitle, hasInitialFocus, okToLeave, performHelp, refresh, setContainer`

Methods inherited from class org.eclipse.ui.dialogs.PropertyPage
`getElement, setElement`

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`applyData, computeSize, createControl, getContainer, getPreferenceStore, isValid, performCancel, performOk, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`getControl, getDescription, getErrorMessage, getImage, getShell, setDescription, setImageDescriptor, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, performCancel, performOk, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, getControl, getDescription, getErrorMessage, getImage, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### DataSetEditorPage

    public DataSetEditorPage(DataSetWizardPage page)